> For the complete documentation index, see [llms.txt](https://developers.getgeoflow.com/geoflow-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.getgeoflow.com/geoflow-docs/feature/visibility.md).

# Geo Visibility

Set the visibility of any element on the current page, based on one or more conditions you have defined with the visitor data properties.

### How Does It Work?

Geoflow evaluates the conditions defined in the Geo Visibility data attribute against the visitor data properties. If the conditions match (returns true), the element will become visible. Otherwise, the hidden attribute will be applied to the element.

### How To Implement

<table><thead><tr><th>Attribute Name</th><th width="266.3333333333333">Attribute Value</th><th>Which Page Element?</th></tr></thead><tbody><tr><td>data-geo-visibility</td><td>conditionName:conditionValue</td><td>Any Element</td></tr></tbody></table>

The condition name is case-sensitive and must match the 'Property Variable' for that visitor data property in the [Visitor Data Properties table](/geoflow-docs/overview/visitor-data-properties.md).

The case sensitivity and validity for the condition value depend on the data type. For example, when defining a condition based on a country code, the value must be an [ISO Alpha-2 Code](https://www.iso.org/obp/ui/#search/code/).

### Examples

<table data-card-size="large" data-view="cards"><thead><tr><th>Attribute Value</th><th>Description</th><th data-hidden>Attribute Name</th></tr></thead><tbody><tr><td><mark style="color:yellow;"><code>countryCode:AU</code></mark></td><td>The element is only visible to visitors currently in the country Australia (AU).</td><td>data-geo-visibility</td></tr><tr><td><mark style="color:yellow;"><code>isMobile:true;countryCode:CA</code></mark></td><td>The element is visible to mobile visitors or anyone currently in Canada.</td><td>data-geo-visibility</td></tr><tr><td><mark style="color:yellow;"><code>language:fr</code></mark></td><td>The element is only visible if the primary browser language is set to French.</td><td>data-geo-visibility</td></tr><tr><td><mark style="color:yellow;"><code>deviceType:Desktop;isEU:true</code></mark></td><td>The element is only visible to visitors in the European Union or desktop computer users.</td><td></td></tr></tbody></table>

### Explore Further

{% content-ref url="/pages/IeYvEIDkuJWO3LPzhmk4" %}
[Define Multiple Conditions](/geoflow-docs/feature/visibility/define-multiple-conditions.md)
{% endcontent-ref %}

{% content-ref url="/pages/A4jokfuTJVgZDB6RLJ3x" %}
[Match All Conditions](/geoflow-docs/feature/visibility/match-all-conditions.md)
{% endcontent-ref %}

{% content-ref url="/pages/b8KR6d6BlQlwShVWYKXW" %}
[Partially Match Condition](/geoflow-docs/feature/visibility/partially-match-condition.md)
{% endcontent-ref %}

{% content-ref url="/pages/A0Tod12fCq0H54Ny4Hbj" %}
[Reverse Condition Value](/geoflow-docs/feature/visibility/reverse-condition-value.md)
{% endcontent-ref %}

{% content-ref url="/pages/RPqI82B6kStXnqVJczgo" %}
[Custom Classes](/geoflow-docs/feature/visibility/custom-classes.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developers.getgeoflow.com/geoflow-docs/feature/visibility.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
